import { camelToKebabCase } from '@/tools/string';


const theme = {
  token: {
    colorPrimary: '#1a82ca',
  },
};

const tokenCSS = Object.entries(theme.token).map(([ key, value ]) => `--${ camelToKebabCase(key) }: ${ value }`).join('\n');
const el = document.createElement('style');
el.innerText = `:root {${ tokenCSS }}`;
document.head.appendChild(el);

export default theme;

